openshot::ZmqLogger Class Reference

This abstract class is the base class, used by all readers in libopenshot. More...

`#include <ZmqLogger.h>`

## Public Member Functions

void | AppendDebugMethod (string method_name, string arg1_name, float arg1_value, string arg2_name, float arg2_value, string arg3_name, float arg3_value, string arg4_name, float arg4_value, string arg5_name, float arg5_value, string arg6_name, float arg6_value)
| Append debug information. More...
void | Close ()
| Close logger (sockets and/or files) More...
void | Connection (string new_connection)
| Set or change connection info for logger (i.e. tcp://*:5556) More...
void | Enable (bool is_enabled)
| Enable/Disable logging. More...
void | Log (string message)
| Log message to all subscribers of this logger (if any) More...
void | LogToFile (string message)
| Log message to a file (if path set) More...
void | Path (string new_path)
| Set or change the file path (optional) More...

## Static Public Member Functions

static ZmqLogger * | Instance ()
| Create or get an instance of this logger singleton (invoke the class with this method) More...

## Detailed Description

This abstract class is the base class, used by all readers in libopenshot.

Readers are types of classes that read video, audio, and image files, and return openshot::Frame objects. The only requirements for a 'reader', are to derive from this base class, implement the GetFrame method, and call the InitFileInfo() method.

Definition at line 56 of file ZmqLogger.h.

## Member Function Documentation

## AppendDebugMethod()

void ZmqLogger::AppendDebugMethod | ( | string | method_name,
|  | string | arg1_name,
|  | float | arg1_value,
|  | string | arg2_name,
|  | float | arg2_value,
|  | string | arg3_name,
|  | float | arg3_value,
|  | string | arg4_name,
|  | float | arg4_value,
|  | string | arg5_name,
|  | float | arg5_value,
|  | string | arg6_name,
|  | float | arg6_value
| ) |  |

Append debug information.

Definition at line 162 of file ZmqLogger.cpp.

## Close()

void ZmqLogger::Close | ( |  | ) |

Close logger (sockets and/or files)

Definition at line 147 of file ZmqLogger.cpp.

## Connection()

void ZmqLogger::Connection | ( | string | new_connection | ) |

Set or change connection info for logger (i.e. tcp://*:5556)

Definition at line 60 of file ZmqLogger.cpp.

## Enable()

void openshot::ZmqLogger::Enable | ( | bool | is_enabled | ) |

inline

Enable/Disable logging.

Definition at line 103 of file ZmqLogger.h.

## Instance()

ZmqLogger * ZmqLogger::Instance | ( |  | ) |

static

Create or get an instance of this logger singleton (invoke the class with this method)

Definition at line 38 of file ZmqLogger.cpp.

## Log()

void ZmqLogger::Log | ( | string | message | ) |

Log message to all subscribers of this logger (if any)

Definition at line 100 of file ZmqLogger.cpp.

## LogToFile()

void ZmqLogger::LogToFile | ( | string | message | ) |

Log message to a file (if path set)

Definition at line 120 of file ZmqLogger.cpp.

## Path()

void ZmqLogger::Path | ( | string | new_path | ) |

Set or change the file path (optional)

Definition at line 127 of file ZmqLogger.cpp.

The documentation for this class was generated from the following files:

- ZmqLogger.h
- ZmqLogger.cpp